> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onera.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Us Edgar Research Coverage

> Coverage ledger for the normalized Form 4 and Form 13F API resources.



## OpenAPI

````yaml /openapi.json get /us/edgar-research/coverage
openapi: 3.1.0
info:
  title: Corpus API
  description: >-
    Point-in-time financial and governed-document data for the US, India, and
    China.
  version: '2026-07-20'
servers:
  - url: https://corpus-api.onera.app
    description: Production
security: []
paths:
  /us/edgar-research/coverage:
    get:
      tags:
        - US · ownership
      summary: Us Edgar Research Coverage
      description: Coverage ledger for the normalized Form 4 and Form 13F API resources.
      operationId: us_edgar_research_coverage_us_edgar_research_coverage_get
      parameters:
        - name: as_of
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: As Of
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EdgarResearchCoverageResponse'
        '400':
          description: Invalid parameter combination
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Insufficient jurisdiction or scope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Unknown resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Request schema validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Source content is unavailable or still processing
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - X-API-KEY: []
components:
  schemas:
    EdgarResearchCoverageResponse:
      properties:
        datasets:
          items:
            $ref: '#/components/schemas/EdgarResearchDatasetCoverage'
          type: array
          title: Datasets
        meta:
          $ref: '#/components/schemas/Meta'
      type: object
      required:
        - datasets
        - meta
      title: EdgarResearchCoverageResponse
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
        message:
          type: string
          title: Message
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
      type: object
      required:
        - error
        - message
      title: ErrorResponse
    EdgarResearchDatasetCoverage:
      properties:
        dataset:
          type: string
          enum:
            - form4
            - form13f
          title: Dataset
        resource_path:
          type: string
          title: Resource Path
        bulk_archives_available:
          type: integer
          title: Bulk Archives Available
          default: 0
        bulk_accessions:
          type: integer
          title: Bulk Accessions
          default: 0
        bulk_rows:
          type: integer
          title: Bulk Rows
          default: 0
        bulk_min_filing_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Bulk Min Filing Date
        bulk_max_filing_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Bulk Max Filing Date
        direct_accessions_available:
          type: integer
          title: Direct Accessions Available
          default: 0
        direct_accessions_needs_review:
          type: integer
          title: Direct Accessions Needs Review
          default: 0
        last_bulk_load_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Bulk Load Time
      type: object
      required:
        - dataset
        - resource_path
      title: EdgarResearchDatasetCoverage
    Meta:
      properties:
        jurisdiction:
          anyOf:
            - type: string
              enum:
                - US
                - IN
                - CN
            - type: 'null'
          title: Jurisdiction
        count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Count
        limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Limit
        offset:
          anyOf:
            - type: integer
            - type: 'null'
          title: Offset
        next_offset:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Offset
        as_of:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: As Of
        normalization_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Normalization Version
        provenance:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Provenance
      type: object
      title: Meta
  securitySchemes:
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Provisioned Corpus API key with the required jurisdiction and operation
        scopes.

````